﻿@using eCommerce.UI.Models
@model LoginViewModel
@{
    ViewBag.Title = "Login";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script src="~/Scripts/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="~/Scripts/Facebook.js" type="text/javascript"></script>

<script>

    $(document).ready(function () {
        initializeForm();
    });

    function initializeForm() 
    {
        var pathArray = window.location.pathname.split('/');
        var storeRoot = "/" + pathArray[1];

        var $form = $('.login-form');
        $form.attr('action',"/login");
    }

    function statusChangeCallback(response)
    {
        var pathArray = window.location.pathname.split('/');
        var storeRoot = "/" + pathArray[1];

        console.log('statusChangeCallback');
        console.log(response);

        if (response.status === 'connected') {
            var returnUrl = getUrlParameter("ReturnUrl");
            window.location.href = '/Account/FacebookLogin?uid=' + response.authResponse.userID + '&accessToken=' + response.authResponse.accessToken + '&returnUrl=' + returnUrl;
        }
        else if (response.status === 'not_authorized') {
            fb_login();
        }
        else {
            fb_login();
        }
    }

    function checkLoginState()
    {
        FB.getLoginStatus(function (response) {
            statusChangeCallback(response);
        });
    }

    window.fbAsyncInit = function () {
        FB.init({
            appId: '@System.Configuration.ConfigurationManager.AppSettings.Get("AppId")',
            cookie: true,  // enable cookies to allow the server to access the session
            xfbml: true,  // parse social plugins on this page
            version: 'v2.2' // use version 2.2
        });
    };

    function getUrlParameter(name) {
        name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
        var regex = new RegExp('[\\?&]' + name + '=([^&#]*)');
        var results = regex.exec(location.search);
        return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
    };

    // Load the SDK asynchronously
    (function (d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = "//connect.facebook.net/en_US/sdk.js";
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));

    function fb_login() {
        FB.login(function () {
            checkLoginState();
        }, { scope: 'email,public_profile', return_scopes: true });
        //FB.login(function () { }, { scope: 'email,public_profile,user_friends', return_scopes: true });
    }

        $('#btnFacebookLogin').click(function () {
            checkLoginState();
        });


</script>

<!--<fb:login-button scope="public_profile,email" onlogin="checkLoginState();">
</fb:login-button>-->
<!-- ========================================= MAIN ========================================= -->
<main id="authentication">
    <div class="login-content">
        <div class="__login-column-centered">
            <section class="__register-card">
                <h2 class="__title">Login</h2>

                @using (Html.BeginForm("Login", "Account", FormMethod.Post, new { @class = "login-form", @autocomplete = "off" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="__field-row">
                        <label>Email o Nombre de Usuario</label>
                        <input type="text" name="Email" class="__form-input" required>
                    </div>
                    <div class="__field-row">
                        <label>Contraseña</label>
                        <input type="password" name="Password" class="__form-input" required>
                    </div>
                    <div class="__field-row clearfix">
                        <span class="pull-left">
                            <label class="content-color"><input type="checkbox" name="RememberMe" class="__form-checkbox"> Recordarme</label>
                        </span>
                        <span class="pull-right">
                            <a href="/Account/ForgotPassword" class="content-color">¿Olvidaste tu contraseña?</a>
                        </span>
                    </div>
                    <div>
                        <button type="submit" class="button">Ingresar</button>
                    </div>
                }
                @*<div class="social-auth-buttons">
                    <div class="row">
                        <div class="col-md-12">
                            <button class="btn-block btn-lg btn btn-facebook" id="btnFacebookLogin" onclick="checkLoginState()"><i class="fa fa-facebook"></i> Ingresar con Facebook</button>
                        </div>
                    </div>
                </div>*@

                <div class="margin-top-10"></div>

                <div class="bottom-section">
                    <h3 class="__title">¿No estás registrado?</h3>
                    <div class="buttons-holder">
                        <a class="button" href="/registro">Crear Cuenta</a>
                    </div>
                </div>
            </section>
        </div>
    </div>
</main>

<!-- ========================================= MAIN : END ========================================= -->

@section Scripts {
    <script type="text/javascript">

        /*function ValidateRegister()
        {
            var email = $("#RegisterEmail").val();
            if(email == '' || !isValidEmailAddress(email)) {
                toastr.warning("El Email ingresado es inválido.");
                return false;
            }
        }

        function isValidEmailAddress(emailAddress) {
            var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
            return pattern.test(emailAddress);
        }*/

    </script>
}